<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [clearPort](./bitburner.ns.clearport.md)

## NS.clearPort() method

Clear data from a port.

**Signature:**

```typescript
clearPort(portNumber: number): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

portNumber


</td><td>

number


</td><td>

Port to clear data from. Must be a positive integer.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

Delete all data from the underlying queue.

